﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1
{
    class ViewModel
    {
        DataSet ds = new DataSet();
        public ViewModel()
        {
            FillDataSet();
            this.Details = ds.Tables[0];
            this.ComboBoxDetails = ds.Tables[1];
        }

        private DataTable _Details;
        public DataTable Details
        {
            get { return _Details; }
            set { _Details = value; }
        }
        private DataTable _comboBoxDetails;
        public DataTable ComboBoxDetails
        {
            get { return _comboBoxDetails; }
            set { _comboBoxDetails = value; }
        }

        public void FillDataSet()
        {
            
            DataTable dtArticles = new DataTable("Articles");
            dtArticles.Columns.Add("id");
            dtArticles.Columns.Add("name");
            dtArticles.Columns.Add("idgroup");

            dtArticles.Rows.Add(1, "Cola", 1);
            dtArticles.Rows.Add(2, "Pizza", 2);
            dtArticles.Rows.Add(3, "Steak", 2);

            DataTable dtGroups = new DataTable("Groups");
            dtGroups.Columns.Add("idgroup");
            dtGroups.Columns.Add("groupname");
           

            dtGroups.Rows.Add(1, "Drink");
            dtGroups.Rows.Add(2, "Food");

            ds = new DataSet("gastronomy");
           

            ds.Tables.Add(dtArticles);
            ds.Tables.Add(dtGroups);

        }       
    }
}
